package grub-common 2.02-2ubuntu1 failed to install/upgrade: installed grub-common package post-installation script subprocess returned error exit status 1

Bug #1730935 reported by Edson T. Marques on 2017-11-08
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
Undecided
Unassigned
plymouth (Ubuntu)
Undecided
Unassigned

Bug Description

This messages was showned at de "apt dist-upgrade" process today:

-----------------------------------------------------------------------------------------------
Configuring grub-common (2.02-2ubuntu1) ...
Installing new version of the /etc/grub.d/10_linux configuration file ...
Installing new version of the /etc/grub.d/20_linux_xen configuration file ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Job for grub-common.service failed because timeout was exceeded.
See "systemctl status grub-common.service" and "journalctl -xe" for details.
invoke-rc.d: initscript grub-common, action "start" failed.
● grub-common.service - LSB: Record successful boot for GRUB
   Loaded: loaded (/etc/init.d/grub-common; generated; vendor preset: enabled)
   Active: failed (Result: timeout) since Wed 2017-11-08 08:45:39 -02; 14 hours ago
     Docs: man: systemd-sysv-generator (8)
  Process: 9432 ExecStart = / etc / init.d / grub-common start (code = killed, signal = TERM)
    Tasks: 2 (limit: 4915)
   CGroup: /system.slice/grub-common.service
           └─9436 plymouth --ping

Nov 08 08:40:39 etm systemd [1]: Starting LSB: Record successful boot for GRUB ...
Nov 08 08:45:39 etm systemd [1]: grub-common.service: Start operation timed out. Terminating.
Nov 08 08:45:39 etm systemd [1]: grub-common.service: Failed with result 'timeout'.
Nov 08 08:45:39 etm systemd [1]: Failed to start LSB: Record successful boot for GRUB.
dpkg: error processing package grub-common (--configure):
 installed grub-common package post-installation script subprocess returned error exit status 1
-------------------------------------------------------------------------------------------------

...in other point later in the same processess we have:

-------------------------------------------------------------------------------------------------
Configuring libharfbuzz-icu0: amd64 (1.6.3-1build1) ...
dpkg: problems with dependencies prevent the configuration of grub-efi-amd64-bin:
 grub-efi-amd64-bin depends on grub-common (= 2.02-2ubuntu1); however:
  Package grub-common is not configured yet.

dpkg: error processing package grub-efi-amd64-bin (--configure):
 dependency problems - leaving unconfigured
dpkg: problems with dependencies prevent the configuration of grub-efi-amd64:
 grub-efi-amd64 depends on grub-common (= 2.02-2ubuntu1); however:
  Package grub-common is not configured yet.
 grub-efi-amd64 depends on grub-efi-amd64-bin (= 2.02-2ubuntu1); however:
  Package grub-efi-amd64-bin is not configured yet.

No apport report written because the error message indicates that it is a follow error from a previous error.
                                                                                                               No apport report written because the error message indicates that it is a follow error from a previous error.
                                          dpkg: error processing package grub-efi-amd64 (--configure):
 dependency problems - leaving unconfigured
-------------------------------------------------------------------------------------------------

...and yet ahead we found:

-------------------------------------------------------------------------------------------------
Configuring libxml2-utils (2.9.4 + dfsg1-5ubuntu2) ...
dpkg: dependency problems prevent grub2-common configuration:
 grub2-common depends on grub-common (= 2.02-2ubuntu1); however:
  Package grub-common is not configured yet.

dpkg: error processing package grub2-common (--configure):
 dependency problems - leaving unconfigured
No apport report written since MaxReports has already been hit
                                                               Configuring mailutils (1: 3.4-1) ...
Configuring libqt5printsupport5: amd64 (5.9.2 + dfsg-4ubuntu6) ...
Configuring libedataserver-1.2-22: amd64 (3.26.2-1ubuntu2) ...
Configuring libqt5opengl5: amd64 (5.9.2 + dfsg-4ubuntu6) ...
dpkg: problems with dependencies prevent the configuration of grub-efi-amd64-signed:
 grub-efi-amd64-signed depends on grub-efi-amd64 (= 2.02-2ubuntu1); however:
  Package grub-efi-amd64 is not configured yet.

dpkg: error processing package grub-efi-amd64-signed (--configure):
 dependency problems - leaving unconfigured
Configuring libqt5sql5-sqlite: amd64 (5.9.2 + dfsg-4ubuntu6) ...
No apport report written since MaxReports has already been hit
                                                               Configuring libwebkitgtk-1.0-0: amd64 (2.4.11-3ubuntu3) ..
-------------------------------------------------------------------------------------------------

...and at the end of "apt dist-upgrade" process, this:

-------------------------------------------------------------------------------------------------
update-initramfs: Generating /boot/initrd.img-4.13.0-16-generic
Errors were encountered while processing:
  grub-common
  grub-efi-amd64-bin
  grub-efi-amd64
  grub2-common
  grub-efi-amd64-signed
E: Sub-process / usr / bin / dpkg returned an error code (1)
-------------------------------------------------------------------------------------------------

... As recomended I gave a "systemctl status grub-common.service". Above the result:

-------------------------------------------------------------------------------------------------
etm@etm:~$ systemctl status grub-common.service
● grub-common.service - LSB: Record successful boot for GRUB
   Loaded: loaded (/etc/init.d/grub-common; generated; vendor preset: enabled)
   Active: failed (Result: timeout) since Wed 2017-11-08 08:45:39 -02; 17min ago
     Docs: man:systemd-sysv-generator(8)
    Tasks: 1 (limit: 4915)
   CGroup: /system.slice/grub-common.service
           └─9436 plymouth --ping

nov 08 08:40:39 etm systemd[1]: Starting LSB: Record successful boot for GRUB...
nov 08 08:45:39 etm systemd[1]: grub-common.service: Start operation timed out. Terminating.
nov 08 08:45:39 etm systemd[1]: grub-common.service: Failed with result 'timeout'.
nov 08 08:45:39 etm systemd[1]: Failed to start LSB: Record successful boot for GRUB.
-------------------------------------------------------------------------------------------------

... And "journalctl -xe" gave this:

-------------------------------------------------------------------------------------------------
etm@etm:~$ journalctl -xe
- Support: http://www.ubuntu.com/support
-
- The grub-common.service drive failed.
-
- The result is RESULT.
Nov 08 08:45:39 etm systemd [1]: Reloading.
Nov 08 08:45:41 etm systemd [1]: Reloading.
Nov 08 08:45:41 etm systemd [1]: Reloading.
Nov 08 08:45:41 etm systemd [1]: Stopping System Logging Service ...
- Subject: rsyslog.service drive being shut down
- Defined-By: systemd
- Support: http://www.ubuntu.com/support
-
- The rsyslog.service drive is being shut down.
Nov 08 08:45:41 etm systemd [1]: Stopped System Logging Service.
- Subject: The rsyslog.service unit terminated shutdown
- Defined-By: systemd
- Support: http://www.ubuntu.com/support
-
- The rsyslog.service unit has completed shutdown.
Nov 08 08:45:41 etm systemd [1]: Starting System Logging Service ...
- Subject: rsyslog.service unit being started
- Defined-By: systemd
- Support: http://www.ubuntu.com/support
-
- The rsyslog.service drive is starting.
Nov 08 08:45:41 etm systemd [1]: Started System Logging Service.
- Subject: rsyslog.service unit has completed initialization
- Defined-By: systemd
- Support: http://www.ubuntu.com/support
-
- The rsyslog.service unit has completed initialization.
-
- The start-up result is RESULT.
Nov 08 08:45:45 etm systemd [1]: Reloading.
Nov 08 08:45:55 etm systemd-udevd [372]: /lib/udev/rules.d/99-anbox.rules:1: NAME = "% k" is ignored, because it breaks kernel supplied names; please remove
Nov 08 08:45:55 etm systemd-udevd [372]: /lib/udev/rules.d/99-anbox.rules:2: NAME = "% k" is ignored, because it breaks kernel supplied names; please remove
Nov 08 08:46:04 etm sudo [7236]: pam_unix (sudo: session): session closed for user root
Nov 08 08:46:08 etm gnome-software [1885]: running get-updates with refine-flags = require-update-details, require-update-severity with timeout = 60 on plugin = fwupd took 4ms
Nov 08 08:48:38 etm pkexec [19403]: pam_unix (polkit-1: session): session opened for user root by (uid = 1000)
Nov 08 08:48:38 etm pkexec [19403]: etm: Executing command [USER = root] [TTY = unknown] [CWD = / home / etm] [COMMAND = / usr / lib / update-notifier / package-system -locked]
Nov 08 08:48:39 etm update-notifier [2327]: GtkDialog mapped without a parent transient. This is discouraged.
Nov 08 08:49:07 etm polkitd (authority = local) [1004]: Operator of unix-session: 3 successfully authenticated as unix-user: etm to gain ONE-SHOT authorization for action com.ubuntu.appo
Nov 08 08:49:07 etm pkexec [19485]: pam_unix (polkit-1: session): session opened for user root by (uid = 1000)
ctd = / home / etm] [COMMAND = / usr / share / apport / apport-gtk]
Nov 08 08:49:21 etm sudo [19723]: root: TTY = unknown; PWD = / root; USER = etm; ENV = DBUS_SESSION_BUS_ADDRESS = unix: path = / run / user / 1000 / bus; COMMAND = / usr / bin / xdg-open https: // bugs.
Nov 08 08:49:21 etm sudo [19723]: pam_unix (sudo: session): session opened for user etm by (uid = 0)
Nov 08 08:49:21 etm sudo [19723]: pam_unix (sudo: session): session closed for user etm
Nov 08 08:49:22 etm update-notifier.desktop [2327]: [19738: 19776: 1108 / 084922.132224: ERROR: nss_util.cc (725)] After loading Root Certs, loaded == false: NSS error code: - 8018
Nov 08 08:49:22 etm update-notifier.desktop [2327]: [19738: 19776: 1108 / 084922.132969: ERROR: browser_gpu_channel_host_factory.cc (108)] Failed to launch GPU process.
Nov 08 08:49:22 etm update-notifier.desktop [2327]: A new window has been created in an existing browser session.
Nov 08 08:49:59 etm variety.desktop [2045]: /usr/lib/python2.7/dist-packages/urllib3/connectionpool.py:854: InsecureRequestWarning: Unverified HTTPS request is being made. Adding ce
Nov 08 08:49:59 etm variety.desktop [2045]: InsecureRequestWarning)
Nov 08 08:49:59 UTC variety.desktop [2045]: ERROR: 2017-11-08 08: 49: 59,286: download_thread () 'Could not download wallpaper:'
Nov 08 08:49:59 etm variety.desktop [2045]: Traceback (most recent call last):
Nov 08 08:49:59 etm variety.desktop [2045]: File "/usr/lib/python2.7/dist-packages/variety/VarietyWindow.py", line 1039, in download_thread
Nov 08 08:49:59 etm variety.desktop [2045]: self.download_one_from (downloader)
Nov 08 08:49:59 etm variety.desktop [2045]: File "/usr/lib/python2.7/dist-packages/variety/VarietyWindow.py", line 1071, in download_one_from
Nov 08 08:49:59 etm variety.desktop [2045]: file = downloader.download_one ()
Nov 08 08:49:59 etm variety.desktop [2045]: File "/usr/lib/python2.7/dist-packages/variety/MediaRssDownloader.py", line 75, in download_one
Nov 08 08:49:59 etm variety.desktop [2045]: self.fill_queue ()
Nov 08 08:49:59 etm variety.desktop [2045]: File "/usr/lib/python2.7/dist-packages/variety/MediaRssDownloader.py", line 103, in fill_queue
Nov 08 08:49:59 etm variety.desktop [2045]: s = self.fetch (feed_url)
Nov 08 08:49:59 etm variety.desktop [2045]: File "/usr/lib/python2.7/dist-packages/variety/MediaRssDownloader.py", line 44, in fetch
nov 08 08:49:59 etm variety.desktop[2045]: content = Util.fetch_bytes(url)
nov 08 08:49:59 etm variety.desktop[2045]: File "/usr/lib/python2.7/dist-packages/variety/Util.py", line 530, in fetch_bytes
nov 08 08:49:59 etm variety.desktop[2045]: return Util.request(url, data).content
nov 08 08:49:59 etm variety.desktop[2045]: File "/usr/lib/python2.7/dist-packages/variety/Util.py", line 507, in request
nov 08 08:49:59 etm variety.desktop[2045]: r.raise_for_status()
nov 08 08:49:59 etm variety.desktop[2045]: File "/usr/lib/python2.7/dist-packages/requests/models.py", line 937, in raise_for_status
nov 08 08:49:59 etm variety.desktop[2045]: raise HTTPError(http_error_msg, response=self)
nov 08 08:49:59 etm variety.desktop[2045]: HTTPError: 404 Client Error: Not Found for url: https://vrty.org/user/~peterlevi/rss
nov 08 08:59:58 etm variety.desktop[2045]: /usr/lib/python2.7/dist-packages/urllib3/connectionpool.py:854: InsecureRequestWarning: Unverified HTTPS request is being made. Adding ce
nov 08 08:59:58 etm variety.desktop[2045]: InsecureRequestWarning)
nov 08 09:00:00 etm variety.desktop[2045]: /usr/lib/python2.7/dist-packages/urllib3/connectionpool.py:854: InsecureRequestWarning: Unverified HTTPS request is being made. Adding ce
nov 08 09:00:00 etm variety.desktop[2045]: InsecureRequestWarning)
nov 08 09:00:00 etm variety.desktop[2045]: /usr/lib/python2.7/dist-packages/urllib3/connectionpool.py:854: InsecureRequestWarning: Unverified HTTPS request is being made. Adding ce
nov 08 09:00:00 etm variety.desktop[2045]: InsecureRequestWarning)
nov 08 09:03:46 etm sudo[21066]: etm : TTY=pts/0 ; PWD=/home/etm ; USER=root ; COMMAND=/bin/systemctl status grub-common.service
nov 08 09:03:46 etm sudo[21066]: pam_unix(sudo:session): session opened for user root by (uid=0)
nov 08 09:03:46 etm sudo[21066]: pam_unix(sudo:session): session closed for user root
-------------------------------------------------------------------------------------------------

And that is all.

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: grub-common 2.02-2ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
Uname: Linux 4.13.0-16-generic x86_64
ApportVersion: 2.20.7-0ubuntu3.1
Architecture: amd64
Date: Wed Nov 8 08:45:39 2017
ErrorMessage: installed grub-common package post-installation script subprocess returned error exit status 1
InstallationDate: Installed on 2017-09-29 (39 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Beta amd64 (20170929)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-16-generic.efi.signed root=UUID=e21f23a6-7931-4119-91bf-b51fd921d471 ro quiet splash vt.handoff=7
Python3Details: /usr/bin/python3.6, Python 3.6.3, python3-minimal, 3.6.3-2
PythonDetails: /usr/bin/python2.7, Python 2.7.14, python-minimal, 2.7.14-2ubuntu1
RelatedPackageVersions:
 dpkg 1.19.0.4ubuntu1
 apt 1.6~alpha4
SourcePackage: grub2
Title: package grub-common 2.02-2ubuntu1 failed to install/upgrade: installed grub-common package post-installation script subprocess returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in grub2 (Ubuntu):
status: New → Confirmed
Changed in plymouth (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers